Subject: Pontia daplidice (Bath White)

From: Roy Neeve <[email-masked]>
Date: Wed, 9 Aug 1995 07:06:33 +0100

Have had a report of a Pontia daplidice (Bath White) seen at Levin Down in
West Sussex, England on 5th August.  Any other sightings in the UK?
Dedicated to saving  wild butterflies and their habitats in the UK